#ifndef TRAY_H
#define TRAY_H

#include <QMessageBox>
#include <QSystemTrayIcon>
#include <QTranslator>
#include <QLocale>

#include <errno.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <fcntl.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>

#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>

class Tray : public QSystemTrayIcon
{
    Q_OBJECT

public:
    explicit
    Tray( QObject *parent = 0,int max_category_ = 0,char **acategory = NULL,int lowlvl=0,int highlvl=0,int se_enable=0, char *tipLvlCat_ = NULL);
    ~Tray();

public:
   void Destroy();
    
public slots:
   void SaveTip_destroy();
    
private slots:
   void onActivateSysTray(QSystemTrayIcon::ActivationReason);
   void onClickTrayMessage();
   void LevelSecure();
   void Category();

private:
   void pixTrayIcon(unsigned char rgb[4]);
   void tipTrayIcon();
   void LevelIcon(const int param);
   void CategoryTip(const int param); 
   void SaveTip();
   QMenu *menu_;
   QMenu *menu_secur;
   QMenu *menu_categ;
   int max_lvl;
   int min_lvl;
   int max_category;
   int se_enable_;
   char *tipLvlCat;
   int *numcategory;
   QStringList category;
   QStringList level;
};

#endif
